package alx.p40_io;

import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.time.LocalTime;

public class ZapiszJakisPlik4 {
	// Klasyczne podejście do popawnego zamykania plików - stosowane do Javy 6

	public static void main(String[] args) {
		PrintWriter out = null;
		try {
			out = new PrintWriter("plik4.txt");
			out.println("Ala ma kota");

            out.println("Ola ma psa");

            int sekunda = LocalTime.now().getSecond();
            out.println("Sekunda: " + sekunda);
            int x = 60 / (sekunda % 2);

            out.append("pies").append(" kot").append(" chomik").println();

			System.out.println("Gotowe");

		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} finally {
			if (out != null)
				out.close();
		}
	}
}
